<?php
/**
 * @package Azura Joomla Pagebuilder
 * @author Cththemes - www.cththemes.com
 * @date: 15-07-2014
 *
 * @copyright  Copyright ( C ) 2014 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
defined('_JEXEC') or die;
require_once JPATH_COMPONENT.'/helpers/awesomefont.php';

class AzuraPagebuilderControllerShortcodeGenerator extends JControllerLegacy
{
	public function __construct($config = array())
	{

		JForm::addFieldPath(JPATH_COMPONENT.'/models/fields');
		JForm::addFormPath(JPATH_COMPONENT.'/models/forms');
		JForm::addFormPath(JPATH_COMPONENT.'/models/shortcodegeneratorforms');
		parent::__construct();
	}
	public function iconfonts(){
		$awesomefont = ebor_icons_list();

		$q = $this->input->get('q');
		$html = array();

		if($q !== ""){
			$q = strtolower($q);
			$len = strlen($q);
			foreach ($awesomefont as $font => $name) {
				if (stristr($q, substr($font, 3, $len))) {
					$html[] = '<div class="icon-select">';
					$html[] = '<i data-font="'.$font.'" class="fa '.$font.' fa-2x"></i>';
					$html[] = '</div>';
				}
			}
		}else{
			foreach ($awesomefont as $font => $name) {
				$html[] = '<div class="icon-select">';
				$html[] = '<i data-font="'.$font.'" class="fa '.$font.' fa-2x"></i>';
				$html[] = '</div>';
			}
		}

		echo (empty($html)? "Not Found!" : implode("\n", $html));

		exit();
	}
	public function parseshortcode(){
		$shortcode = $this->input->get('shortcode','','raw');



		$data = do_shortcode_edit(trim(rawurldecode($shortcode)));
	    
	   	$result = new stdClass();
	   	$result->object = rawurlencode($data);
	   	$data = json_decode($data);
	   	$result->type = $data->type;
	   
	    echo json_encode($result);

	    exit;
	}

	public function config(){
		$type = $this->input->get('eletype','azuratext');
		$data = $this->input->get('data','','raw');
	    $dataObject = json_decode($data);
	    $data = rawurlencode($data);

	    echo $this->{'config'.ucfirst($type)}($data,$dataObject);

	    exit;
	}

	

	protected function configAzuraportfoliodetail($data,$dataObject){
		

		$dataObject->formOption = JForm::getInstance('com_azurapagebuilder.page.optionportfoliodetail', 'formoptionportfoliodetail');
		$elementAttrsFields = array("description","client","lanch","contenttype","singlelink","photo1","photo2","photo3","photo4","photo5","photo6","photo7","photo8","photo9","photo10");
		foreach ($elementAttrsFields as $key => $attr) {
			$value = null;
			if(isset($dataObject->attrs->{$attr})){
				$value = $dataObject->attrs->{$attr};
			}
			$dataObject->formOption->setValue("{$attr}","elementAttrs", $value);
		}

		$html = '
			<h2><i class="fa fa-briefcase"></i> Portfolio Detail</h2>
			<div class="row-fluid" style="padding-top:20px;">
				
			</div>
			<!-- /.row-fluid -->
			<div class="row-fluid">
				<div class="span12">
					<div class="form-horizontal">';

					// attrs

					foreach ($dataObject->formOption->getFieldsets('elementAttrs') as $fieldsets => $fieldset) {
						$html .= '<div class="row-fluid">';
							$html .='<div class="span6">';
							$key = 1;
							$fields = $dataObject->formOption->getFieldset($fieldset->name);
						foreach($fields as $field){

							if ($field->hidden) {
								$html .= $field->input;
							}else{
								//echo'<pre>';var_dump($field);
								$html .= $field->getControlGroup();
								$key++;
							}

							if($key == 6 && count($fields) >6){
								$html .= '</div><div class="span6">';
							}
						}

							$html .='</div>';
						$html .='</div>';
					}
					
					$html .='</div>
					<!-- /.form-horizontal -->
				</div>
				<!-- /.span12 -->

			</div>
			<!-- /.row-fluid -->
			
			<div class="row-fluid" style="text-align: center;">
				<hr>
				<a href="#" id="azura-setting-btn-save" class="btn btn-primary azura-setting-btn-save">Save</a>
				<a href="#" id="azura-setting-btn-cancel" class="btn btn-default azura-setting-btn-cancel">Cancel</a>
			</div>';

			$html .='<div class="azura-element-settings-saved saved" data="'.rawurlencode('{"type":"AzuraPortfolioDetail","id": "0","content":"","attrs":{}}').'"></div>';

			$html .='
			<script>
				function jInsertFieldValue(value, id) {
		        		var old_value = $("#" + id).val();
		        		if (old_value != value) {
		        			var $elem = $("#" + id);
		        			$elem.val(value);
		        			$elem.trigger("change");
		        			if (typeof($elem.get(0).onchange) === "function") {
		        				$elem.get(0).onchange();
		        			}
		        		}
		        }

	            jQuery(function($) {
	    			SqueezeBox.initialize({});
	    			SqueezeBox.assign($(\'a.modal_jform_azuramedia\').get(), {
	    				parse: \'rel\'
	    			});
					
					
	                
	                jQuery(\'body\').on(\'change\',\'#elementAttrs_photo1\', function(event){
	                    event.preventDefault();
	                    var value = event.currentTarget.value;
	                    
	                    jQuery(\'.fancybox-inner\').find(\'#elementAttrs_photo1\').val(value);
	                });
					
					jQuery(\'body\').on(\'change\',\'#elementAttrs_photo2\', function(event){
	                    event.preventDefault();
	                    var value = event.currentTarget.value;
	                    
	                    jQuery(\'.fancybox-inner\').find(\'#elementAttrs_photo2\').val(value);
	                });
					
					jQuery(\'body\').on(\'change\',\'#elementAttrs_photo3\', function(event){
	                    event.preventDefault();
	                    var value = event.currentTarget.value;
	                    
	                    jQuery(\'.fancybox-inner\').find(\'#elementAttrs_photo3\').val(value);
	                });
					
					jQuery(\'body\').on(\'change\',\'#elementAttrs_photo4\', function(event){
	                    event.preventDefault();
	                    var value = event.currentTarget.value;
	                    
	                    jQuery(\'.fancybox-inner\').find(\'#elementAttrs_photo4\').val(value);
	                });

					jQuery(\'body\').on(\'change\',\'#elementAttrs_photo5\', function(event){
	                    event.preventDefault();
	                    var value = event.currentTarget.value;
	                    
	                    jQuery(\'.fancybox-inner\').find(\'#elementAttrs_photo5\').val(value);
	                });

					jQuery(\'body\').on(\'change\',\'#elementAttrs_photo6\', function(event){
	                    event.preventDefault();
	                    var value = event.currentTarget.value;
	                    
	                    jQuery(\'.fancybox-inner\').find(\'#elementAttrs_photo6\').val(value);
	                });
					
					jQuery(\'body\').on(\'change\',\'#elementAttrs_photo7\', function(event){
	                    event.preventDefault();
	                    var value = event.currentTarget.value;
	                    
	                    jQuery(\'.fancybox-inner\').find(\'#elementAttrs_photo7\').val(value);
	                });
					
					jQuery(\'body\').on(\'change\',\'#elementAttrs_photo8\', function(event){
	                    event.preventDefault();
	                    var value = event.currentTarget.value;
	                    
	                    jQuery(\'.fancybox-inner\').find(\'#elementAttrs_photo8\').val(value);
	                });
					
					jQuery(\'body\').on(\'change\',\'#elementAttrs_photo9\', function(event){
	                    event.preventDefault();
	                    var value = event.currentTarget.value;
	                    
	                    jQuery(\'.fancybox-inner\').find(\'#elementAttrs_photo9\').val(value);
	                });

					jQuery(\'body\').on(\'change\',\'#elementAttrs_photo10\', function(event){
	                    event.preventDefault();
	                    var value = event.currentTarget.value;
	                    
	                    jQuery(\'.fancybox-inner\').find(\'#elementAttrs_photo10\').val(value);
	                });

	    		});

				jQuery(function($){
					$(\'.radio.btn-group label\').addClass(\'btn btn-small\');
					$(\'body\').on(\'click\',\'.btn-group label:not(.active)\',function()
					{
						var label = $(this);
						var input = $(\'#\' + label.attr(\'for\'));

						if (!input.prop(\'checked\')) {
							label.closest(\'.btn-group\').find(\'label\').removeClass(\'active btn-success btn-danger btn-primary\');
							if (input.val() == \'\') {
								label.addClass(\'active btn-primary\');
							} else if (input.val() == 0) {
								label.addClass(\'active btn-danger\');
							} else {
								label.addClass(\'active btn-success\');
							}
							input.prop(\'checked\', \'checked\');
						}
					});
					$(\'.btn-group input[checked=checked]\').each(function()
					{
						if ($(this).val() == \'\') {
							$(\'label[for=\' + $(this).attr(\'id\') + \']\').addClass(\'active btn-primary\');
						} else if ($(this).val() == 0) {
							$(\'label[for=\' + $(this).attr(\'id\') + \']\').addClass(\'active btn-danger\');
						} else {
							$(\'label[for=\' + $(this).attr(\'id\') + \']\').addClass(\'active btn-success\');
						}
					});
				});
            
            </script>';
			return $html;
	}
	protected function configAzuraseparator($data,$dataObject){
		

		$dataObject->formOption = JForm::getInstance('com_azurapagebuilder.page.optionseparatorsg', 'formoptionseparatorsg');

		
		// set attrs
		$elementAttrsFields = array("wrapper","text","iconclass");
		foreach ($elementAttrsFields as $key => $attr) {
			$value = null;
			if(isset($dataObject->attrs->{$attr})){
				$value = $dataObject->attrs->{$attr};
			}
			$dataObject->formOption->setValue("{$attr}","elementAttrs", $value);
		}

		$html = '
			<h2><i class="fa fa-minus"></i> Separator'.(!empty($dataObject->name)? ' - '.$dataObject->name : '').'</h2>
			<div class="row-fluid" style="padding-top:20px;">
				
			</div>
			<!-- /.row-fluid -->
			<div class="row-fluid">
				<div class="span12">
					<div class="form-horizontal">';

					// attrs

					foreach ($dataObject->formOption->getFieldsets('elementAttrs') as $fieldsets => $fieldset) {
						foreach($dataObject->formOption->getFieldset($fieldset->name) as $field){

							if ($field->hidden) {
								$html .= $field->input;
							}else{
								//echo'<pre>';var_dump($field);
								$html .= $field->getControlGroup();
							}
						}
					}
					
					$html .='</div>
					<!-- /.form-horizontal -->
				</div>
				<!-- /.span12 -->

			</div>
			<!-- /.row-fluid -->
			
			<div class="row-fluid" style="text-align: center;">
				<hr>
				<a href="#" id="azura-setting-btn-save" class="btn btn-primary azura-setting-btn-save">Save</a>
				<a href="#" id="azura-setting-btn-cancel" class="btn btn-default azura-setting-btn-cancel">Cancel</a>
			</div>';

			$html .='<div class="azura-element-settings-saved saved" data="'.rawurlencode('{"type":"AzuraSeparator", "content":"","attrs":{}}').'"></div>';

			$html .='
			<script>
				function jInsertIconClassValue(value, id) {
		        		var $ = jQuery.noConflict();
		        		var old_value = $("#" + id).val();
		        		if (old_value != value) {
		        			var $elem = $("#" + id);
		        			$elem.val(value);
		        			$elem.trigger("change");
		        			if (typeof($elem.get(0).onchange) === "function") {
		        				$elem.get(0).onchange();
		        			}
		        		}
		        }

	            jQuery(function($) {
	    			SqueezeBox.initialize({});
	    			SqueezeBox.assign($(\'a.modal_jform_azurafont\').get(), {
	    				parse: \'rel\'
	    			});
					
	    		});
            
            </script>';

			
			return $html;
	}

	protected function configAzuraawesomeicon($data,$dataObject){
		

		$dataObject->formOption = JForm::getInstance('com_azurapagebuilder.page.optionawesomeiconsg', 'formoptionawesomeiconsg');

		
		// set attrs
		$elementAttrsFields = array("wrapper","iconclass");
		foreach ($elementAttrsFields as $key => $attr) {
			$value = null;
			if(isset($dataObject->attrs->{$attr})){
				$value = $dataObject->attrs->{$attr};
			}
			$dataObject->formOption->setValue("{$attr}","elementAttrs", $value);
		}

		$html = '
			<h2><i class="fa fa-font"></i> Awesome Icon'.(!empty($dataObject->name)? ' - '.$dataObject->name : '').'</h2>
			<div class="row-fluid" style="padding-top:20px;">
				
			</div>
			<!-- /.row-fluid -->
			<div class="row-fluid">
				<div class="span12">
					<div class="form-horizontal">';

					// attrs

					foreach ($dataObject->formOption->getFieldsets('elementAttrs') as $fieldsets => $fieldset) {
						foreach($dataObject->formOption->getFieldset($fieldset->name) as $field){

							if ($field->hidden) {
								$html .= $field->input;
							}else{
								//echo'<pre>';var_dump($field);
								$html .= $field->getControlGroup();
							}
						}
					}
					
					$html .='</div>
					<!-- /.form-horizontal -->
				</div>
				<!-- /.span12 -->

			</div>
			<!-- /.row-fluid -->
			
			<div class="row-fluid" style="text-align: center;">
				<hr>
				<a href="#" id="azura-setting-btn-save" class="btn btn-primary azura-setting-btn-save">Save</a>
				<a href="#" id="azura-setting-btn-cancel" class="btn btn-default azura-setting-btn-cancel">Cancel</a>
			</div>';

			$html .='<div class="azura-element-settings-saved saved" data="'.rawurlencode('{"type":"AzuraAwesomeIcon", "content":"","attrs":{}}').'"></div>';

			$html .='
			<script>
				function jInsertIconClassValue(value, id) {
		        		var $ = jQuery.noConflict();
		        		var old_value = $("#" + id).val();
		        		if (old_value != value) {
		        			var $elem = $("#" + id);
		        			$elem.val(value);
		        			$elem.trigger("change");
		        			if (typeof($elem.get(0).onchange) === "function") {
		        				$elem.get(0).onchange();
		        			}
		        		}
		        }

	            jQuery(function($) {
	    			SqueezeBox.initialize({});
	    			SqueezeBox.assign($(\'a.modal_jform_azurafont\').get(), {
	    				parse: \'rel\'
	    			});
					
	    		});
            
            </script>';

			
			return $html;
	}

	protected function configAzuraresume($data,$dataObject){
		

		$dataObject->formOption = JForm::getInstance('com_azurapagebuilder.page.optionresume', 'formoptionresume');
		$elementAttrsFields = array("title","time","iconclass","position","contenttype","singlelink","photo1","photo2","photo3","photo4","photo5");
		foreach ($elementAttrsFields as $key => $attr) {
			$value = null;
			if(isset($dataObject->attrs->{$attr})){
				$value = $dataObject->attrs->{$attr};
			}
			$dataObject->formOption->setValue("{$attr}","elementAttrs", $value);
		}
		// set content
		$elementContentFields = array("description");
		if(count($elementContentFields) == 1) {
			$content = $elementContentFields[0];
			$value = '';
			if(isset($dataObject->content)){
				$value = $dataObject->content;
			}
			$dataObject->formOption->setValue("{$content}","elementContent", $value);
		}elseif(count($elementContentFields) > 1){
			foreach ($elementContentFields as $key => $content) {
				$value = null;
				if(isset($dataObject->content->{$attr})){
					$value = $dataObject->content->{$attr};
				}
				$dataObject->formOption->setValue("{$content}","elementContent", $value);
			}

		}

		$html = '
			<h2><i class="fa fa-briefcase"></i> Resume</h2>
			<div class="row-fluid" style="padding-top:20px;">
				
			</div>
			<!-- /.row-fluid -->
			<div class="row-fluid">
				<div class="span12">
					<div class="form-horizontal">';
							$html .= '<div class="row-fluid">';
							$html .='<div class="span6">';
					// attrs

					foreach ($dataObject->formOption->getFieldsets('elementAttrs') as $fieldsets => $fieldset) {
						
							$key = 1;
							$fields = $dataObject->formOption->getFieldset($fieldset->name);
						foreach($fields as $field){

							if ($field->hidden) {
								$html .= $field->input;
							}else{
								//echo'<pre>';var_dump($field);
								$html .= $field->getControlGroup();
								$key++;
							}

							if($key == 9 && count($fields) >9){
								$html .= '</div><div class="span6">';
							}
						}

							
					}

					// content
					foreach ($dataObject->formOption->getFieldsets('elementContent') as $fieldsets => $fieldset) {
						foreach($dataObject->formOption->getFieldset($fieldset->name) as $field){

							if ($field->hidden) {
								$html .= $field->input;
							}else{
								//echo'<pre>';var_dump($field);
								$html .= $field->getControlGroup();
							}
						}
					}
						$html .='</div>';
					$html .='</div>';
					
					$html .='</div>
					<!-- /.form-horizontal -->
				</div>
				<!-- /.span12 -->

			</div>
			<!-- /.row-fluid -->
			
			<div class="row-fluid" style="text-align: center;">
				<hr>
				<a href="#" id="azura-setting-btn-save" class="btn btn-primary azura-setting-btn-save">Save</a>
				<a href="#" id="azura-setting-btn-cancel" class="btn btn-default azura-setting-btn-cancel">Cancel</a>
			</div>';

			$html .='<div class="azura-element-settings-saved saved" data="'.rawurlencode('{"type":"AzuraResume","id": "0","content":"","attrs":{}}').'"></div>';

			$html .='
			<script>
				function jInsertIconClassValue(value, id) {
		        		var $ = jQuery.noConflict();
		        		var old_value = $("#" + id).val();
		        		if (old_value != value) {
		        			var $elem = $("#" + id);
		        			$elem.val(value);
		        			$elem.trigger("change");
		        			if (typeof($elem.get(0).onchange) === "function") {
		        				$elem.get(0).onchange();
		        			}
		        		}
		        }

	            jQuery(function($) {
	    			SqueezeBox.initialize({});
	    			SqueezeBox.assign($(\'a.modal_jform_azurafont\').get(), {
	    				parse: \'rel\'
	    			});
					
	    		});
            
            </script>';

			$html .='
			<script>
				function jInsertFieldValue(value, id) {
		        		var $ = jQuery.noConflict();
		        		var old_value = $("#" + id).val();
		        		if (old_value != value) {
		        			var $elem = $("#" + id);
		        			$elem.val(value);
		        			$elem.trigger("change");
		        			if (typeof($elem.get(0).onchange) === "function") {
		        				$elem.get(0).onchange();
		        			}
		        		}
		        }

	            jQuery(function($) {
	    			SqueezeBox.initialize({});
	    			SqueezeBox.assign($(\'a.modal_jform_azuramedia\').get(), {
	    				parse: \'rel\'
	    			});

	    		});

				jQuery(function($){
					$(\'.radio.btn-group label\').addClass(\'btn btn-small\');
					$(\'body\').on(\'click\',\'.btn-group label:not(.active)\',function()
					{
						var label = $(this);
						var input = $(\'#\' + label.attr(\'for\'));

						if (!input.prop(\'checked\')) {
							label.closest(\'.btn-group\').find(\'label\').removeClass(\'active btn-success btn-danger btn-primary\');
							if (input.val() == \'\') {
								label.addClass(\'active btn-primary\');
							} else if (input.val() == 0) {
								label.addClass(\'active btn-danger\');
							} else {
								label.addClass(\'active btn-success\');
							}
							input.prop(\'checked\', \'checked\');
						}
					});
					$(\'.btn-group input[checked=checked]\').each(function()
					{
						if ($(this).val() == \'\') {
							$(\'label[for=\' + $(this).attr(\'id\') + \']\').addClass(\'active btn-primary\');
						} else if ($(this).val() == 0) {
							$(\'label[for=\' + $(this).attr(\'id\') + \']\').addClass(\'active btn-danger\');
						} else {
							$(\'label[for=\' + $(this).attr(\'id\') + \']\').addClass(\'active btn-success\');
						}
					});
				});
            
            </script>';
			return $html;
	}
}


