<?php
/**
 * @package Azura Joomla Pagebuilder
 * @author Cththemes - www.cththemes.com
 * @date: 15-07-2014
 *
 * @copyright  Copyright ( C ) 2014 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
defined('_JEXEC') or die;

require_once JPATH_COMPONENT_ADMINISTRATOR.'/views/page/view.html.php';

class AzuraPagebuilderViewEdit extends AzuraPagebuilderViewPage {

	protected $form;

	protected $item;

	protected $items;

	protected $return_page;

	protected $state;

	public function display($tpl = null)
	{
		$user		= JFactory::getUser();

		// Get model data.
		$this->state		= $this->get('State');
		$this->item			= $this->get('Item');
		$this->form			= $this->get('Form');
		$this->return_page	= $this->get('ReturnPage');

		$this->elements = $this->get('Elements');

		if (empty($this->item->id))
		{
			$authorised = $user->authorise('core.create', 'com_azurapagebuilder');
		}
		else
		{
			$authorised = $user->authorise('core.edit', 'com_azurapagebuilder.page.'.$this->item->id);

		}

		if ($authorised !== true)
		{
			JFactory::getApplication()->redirect('index.php?option=com_users&view=login','You must login as admin account to edit!');
		}

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			JError::raiseWarning(500, implode("\n", $errors));
			return false;
		}

		// Create a shortcut to the parameters.
		$params	= &$this->state->params;

		//Escape strings for HTML output
		$this->pageclass_sfx = htmlspecialchars($params->get('pageclass_sfx'));

		$this->params	= $params;
		$this->user		= $user;

		$this->setLayout('edit');

		$result = $this->loadTemplate($tpl);

		if ($result instanceof Exception)
		{
			return $result;
		}

		echo $result;
	}

	public function parseElement($element){
		if($element->hasChild == '1' || isset($element->hasChildID)){
			$element->elementChilds = $this->getChildElements($element->hasChildID);
			foreach ($element->elementChilds as $key => $child) {

				$element->content .= do_shortcode($this->parseElement($child));
			}
		}

		$style = 'style="top:50%;left:50%;"';

		

		switch ($element->type) {
			case 'AzuraSection':
				$style = 'style="top:0px;"';
				break;
			case 'AzuraGMap':
				$style = 'style="top:60px;"';
				break;

			case 'AzuraCarouselSlider':
				$style = 'style="top:25%;"';
				break;
			
			default:
				$style = 'style="top:45%;"';
				break;
		}

		$tools = '<div class="azura-element-tools '.strtolower($element->type).'" '.$style.'>
			<span>'.($element->name? substr($element->type, 5).'-'.$element->name : substr($element->type, 5)).'</span>
			<i class="fa fa-edit azura-element-tools-configs"></i>
			<!--<i class="fa fa-times azura-element-tools-remove"></i>-->
		</div>';

		switch ($element->type) {
			case 'AzuraContainer':
			case 'AzuraRow':
			case 'AzuraColumn':
				$tools = '';
				break;
		}

		$attrs = json_decode($element->attrs);
		$attrsText = '';

		foreach ($attrs as $key => $value) {
			$attrsText .=(' '.$key.'="'.$value.'"');
		}

		return '<div data-type="'.$element->type.'" data-id="'.$element->id.'" class="azura-element-content '.strtolower($element->type).'">'.
		$tools
		.'['.$element->type.$attrsText.']'.$element->content.'[/'.$element->type.']'.'</div>';
	}

}