<?php
/**
 * @package Azura Joomla Pagebuilder
 * @author Cththemes - www.cththemes.com
 * @date: 15-07-2014
 *
 * @copyright  Copyright ( C ) 2014 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die();

class CthShortcodes {

	private static $_instance;

    public $_headerStyles = array();

    public $_headerScripts = array();

    public $_footerScripts = array();

	private $document;

	public function __construct(){

	}

	final public static function getInstance()
    {
        if( !self::$_instance ){
            self::$_instance = new self();
            self::getInstance()->getDocument();
            self::getInstance()->getDocument()->cthshortcodes = self::getInstance();
        } 
        return self::$_instance;
    }

    public static function getDocument($key=false)
    {
        self::getInstance()->document = JFactory::getDocument();
        $doc = self::getInstance()->document;
        if( is_string($key) ) return $doc->$key;

        return $doc;
    }

    public static function templateName()
    {
        return JFactory::getApplication()->getTemplate();
    }

    public static function templatePath()
    {
        
        return  JPATH_THEMES.'/' . self::getInstance()->templateName();
    }

    public static function importShortcode($paths)
    {
        if( is_array($paths) ) foreach((array) $paths as $file) self::_importShortcode( $file );
        else self::_importShortcode( $paths );
        return self::getInstance();
    }

    private static function _importShortcode($shortcode)
    {
        $templateShortcode  = self::getInstance()->templatePath().'/html/com_azurapagebuilder/plugin/shortcodes/'. $shortcode;
        $pluginShortcode = JPATH_PLUGINS.'/system/cthshortcodes/shortcodes/' . $shortcode;

        if( file_exists( $templateShortcode ) && !is_dir( $templateShortcode ) ){
            require_once $templateShortcode;
        } elseif( file_exists( $pluginShortcode ) && !is_dir( $pluginShortcode ) ){
            require_once $pluginShortcode;
        }
        return self::getInstance();
    }

    public static function importShortcodes()
    {

        $shortcodes = array();

        $templateShortcodes = glob( self::getInstance()->templatePath().'/html/com_azurapagebuilder/plugin/shortcodes/*.php' );
        $pluginShortcodes = glob( JPATH_PLUGINS.'/system/cthshortcodes/shortcodes/*.php');

        foreach((array) $templateShortcodes as $value)  $shortcodes[] =  basename($value);
        foreach((array) $pluginShortcodes as $value)  $shortcodes[] =   basename($value);

        $shortcodes = array_unique($shortcodes);

        require_once JPATH_PLUGINS.'/system/cthshortcodes/core/wp_shortcodes.php';

        foreach($shortcodes as $shortcode  ) self::getInstance()->importShortcode($shortcode);

        return self::getInstance();
    }

    public static function importScripts($pageid = 0){
        if($pageid == 0){
            return self::getInstance();
        }

        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select("customCssLinks, customJsLinks, customJsButtonLinks")->from("#__azurapagebuilder_pages")->where('id='.(int)$pageid);
        $db->setQuery($query);
        $result = $db->loadObject();

        $customCssLinks = array();

        if(!empty($result->customCssLinks)){
            $customCssLinks = explode(",", $result->customCssLinks);
        }

        $customJsLinks = array();

        if(!empty($result->customJsLinks)){
            $customJsLinks = explode(",", $result->customJsLinks);
        }

        $customJsButtonLinks = array();

        if(!empty($result->customJsButtonLinks)){
            $customJsButtonLinks = explode(",", $result->customJsButtonLinks);
        }

        $themePath = JPATH_THEMES.'/'.JFactory::getApplication()->getTemplate();
        $themeLink = JURI::base(true).'/templates/'.JFactory::getApplication()->getTemplate();

        if(!empty($customCssLinks)){
            foreach ($customCssLinks as $css) {
                if(file_exists($themePath.'/css/'.$css)){
                    self::getInstance()->_headerStyles[] = $themeLink.'/css/'.$css;
                }elseif(file_exists($themePath.'/stylesheet/'.$css)){
                    self::getInstance()->_headerStyles[] = $themeLink.'/stylesheet/'.$css;
                }
                
            }
        }

        if(!empty($customJsLinks)){
            foreach ($customJsLinks as $js) {
                if(file_exists($themePath.'/js/'.$js)){
                    self::getInstance()->_headerScripts[] = $themeLink.'/js/'.$js;
                }elseif(file_exists($themePath.'/javascript/'.$js)){
                    self::getInstance()->_headerScripts[] = $themeLink.'/javascript/'.$js;
                }
            }
        }

        if(!empty($customJsButtonLinks)){
            foreach ($customJsButtonLinks as $js) {
                if(file_exists($themePath.'/js/'.$js)){
                    self::getInstance()->_footerScripts[] = $themeLink.'/js/'.$js;
                }elseif(file_exists($themePath.'/javascript/'.$js)){
                    self::getInstance()->_footerScripts[] = $themeLink.'/javascript/'.$js;
                }
            }
        }

        return self::getInstance();
    }

    public static function loadModule($id){
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select("*")->from("#__modules")->where('id='.(int)$id);
        $db->setQuery($query);
        $result = $db->loadObject();
        $title = $result->title;
        $mod = $result->module;
        $module = JModuleHelper::getModule( $mod, $title );
        //echo'<pre>';var_dump($module);die;
        $module->content = JModuleHelper::renderModule( $module,array('style'=>'none'));
        return $module;
    }

    public static function getK2Items($catid, $limit='10', $order='created', $orderDir='ASC', $addFields = ''){
        $order = 'a.'.$order;
        if((int)$limit){
            $limit = (int) $limit;
        }else{
            $limit = 'All';
        }
        $db =  JFactory::getDbo();
        $query=$db->getQuery(true);
        $where = array('a.published=1','a.trash=0');
        if($catid!=0){
            $where[]='catid='.(int)$catid;
        }
        $query  ->select('a.id,a.title,a.alias,a.extra_fields,a.introtext,a.fulltext,a.catid,c.alias as categoryalias,c.name as c_name, c.description as c_desc')
                ->select('a.created,a.created_by,a.created_by_alias,a.ordering,a.image_caption,a.image_credits,a.params');
       if(!empty($addFields)){
        $query  ->select($addFields);
       }

        $query  ->from('#__k2_items AS a')
                ->join('INNER', '#__k2_categories AS c ON (a.catid = c.id)')
                ->where($where)
                ->order($db->escape($order . ' ' . $orderDir));
        $db     ->setQuery($query,0,$limit);

        return $db->loadObjectList();
    }

    public static function getK2Item($id,$addFields = ''){
        
        $db =  JFactory::getDbo();
        $query=$db->getQuery(true);
        $where = array('a.published=1','a.trash=0');
        if($id!=0){
            $where[]='id='.(int)$id;
        }
        $query  ->select('a.id,a.title,a.alias,a.extra_fields,a.introtext,a.fulltext,a.catid')
                ->select('a.created,a.created_by,a.created_by_alias,a.ordering,a.image_caption,a.image_credits,a.params');
       if(!empty($addFields)){
                $query  ->select($addFields);
       }

        $query  ->from('#__k2_items AS a')
                ->where($where);
        $db     ->setQuery($query);

        return $db->loadObject();
    }

    public static function getK2Cat($catid=0){
        $db =  JFactory::getDbo();
        $query=$db->getQuery(true);
        //$where = array('a.id=1');
        if((int)$catid!=0){
            $where ='a.id='.(int)$catid;
        }
        $query      ->select('a.id,a.name,a.alias,a.description')
            ->from('#__k2_categories AS a')
            ->where($where)
            ->order('a.ordering ASC');
        $db->setQuery($query,0,1);

        return $db->loadObject();
    }

    public static function getK2ItemTagsFilter($item,$implode = " ",$ucf = false){
        require_once JPATH_BASE.'/components/com_k2/models/item.php';

        $K2ModelItem = new K2ModelItem;

        $tags = array();
        $itemTags = $K2ModelItem->getItemTags($item->id);
        if(count($itemTags)) {
            foreach ($itemTags as $tag) {
                $tagName = str_replace(" ", "-", $tag->name);
                if($ucf === true){
                    $tags[] = ucfirst($tagName);
                }else{
                    $tags[] = strtolower($tagName);
                }
                
            }
        }

        $filter = implode($implode, $tags);

        return $filter;
    }

    public static function getK2TagsFilter($items){

        $catTags = array();

        $allTags = array();

        $tags = array();

        if(count($items)){


            require_once JPATH_BASE.'/components/com_k2/models/item.php';

            $K2ModelItem = new K2ModelItem;

            foreach ($items as $item) {
                $catTags[] = $K2ModelItem->getItemTags($item->id);
            }
            
            if(!empty($catTags)){
                foreach ($catTags as $catTag) {
                    if (!empty($catTag)) {
                        foreach ($catTag as $tag) {
                            $allTags[] = $tag->name;
                        }
                    }
                }
            }

            $tags = array_unique($allTags);
        }
        return $tags;
    }

    public static function getK2ItemLink($id,$alias,$catid,$categoryalias){
        require_once (JPATH_SITE.'/components/com_k2/helpers/route.php');
        return urldecode(JRoute::_(K2HelperRoute::getItemRoute($id.':'.urlencode($alias), $catid.':'.urlencode($categoryalias))));
    }


    public static function addShortcodeTemplate($file){
		jimport( 'joomla.filesystem.file' );
		$tempOverride 		= self::getInstance()->templatePath().'/html/com_azurapagebuilder/plugin/shortcodes_template/'.$file.'.php';
		$tempBase 	= JPATH_PLUGINS . '/system/cthshortcodes/shortcodes_template/'.$file.'.php';
		if(JFile::exists($tempOverride)){
			return $tempOverride;
		}else if(JFile::exists($tempBase)){
			return $tempBase;
		}else{
			return false;
		}
	}


}